Package com.treemap

# Class DefaultTreeMapTooltipRenderer<C,N,Row,Column,Color,Font>

java.lang.Object
com.macrofocus.labeling.EnhancedLabel<Color,Font>
com.treemap.DefaultTreeMapTooltipRenderer<C,N,Row,Column,Color,Font>

Type Parameters:
  `N` -

All Implemented Interfaces:
  `TreeMapTooltipRenderer<C,N,Row,Column,Color,Font>`

public class DefaultTreeMapTooltipRenderer<C,N,Row,Column,Color,Font> extends com.macrofocus.labeling.EnhancedLabel<Color,Font> implements TreeMapTooltipRenderer<C,N,Row,Column,Color,Font>
The standard class for rendering (displaying) tooltips in a TreeMapView.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.labeling.EnhancedLabel

  `com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement, com.macrofocus.labeling.EnhancedLabel.Effect, com.macrofocus.labeling.EnhancedLabel.Rendering`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.macrofocus.igraphics.Insets`
  `DEFAULT_BORDER`

  ### Fields inherited from class com.macrofocus.labeling.EnhancedLabel

  `BOTTOM, CENTER, HORIZONTAL, LEADING, LEFT, NEXT, RIGHT, TOP, TRAILING, VERTICAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTreeMapTooltipRenderer()`
  Creates a default label renderer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.labeling.EnhancedLabel<Color,Font>`
  `getTooltipRendererComponent(TreeMapView<C,N,Row,Column,Color,Font> view, TreeMapField<N,Column> field, TreeMapFieldSettings<Color,Font> settings, N node, Dimension dimension)`
  Returns the component used for drawing the tooltip values.

  ### Methods inherited from class com.macrofocus.labeling.EnhancedLabel

  `getAngle, getBackground, getDesiredHeight, getDesiredWidth, getEffect, getEffectOpacity, getFont, getForeground, getHeight, getHorizontalAlignment, getInsetBottom, getInsetLeft, getInsetRight, getInsetTop, getMinimumCharactersToDisplay, getName, getProperties, getRendering, getText, getVerticalAlignment, getWidth, isEnabled, isHTML, isJustified, isOpaque, setAngle, setBackground, setDesiredHeight, setDesiredWidth, setEffect, setEffectOpacity, setFont, setForeground, setHorizontalAlignment, setHTML, setInsetBottom, setInsetLeft, setInsetRight, setInsets, setInsetTop, setJustified, setMinimumCharactersToDisplay, setName, setOpaque, setRendering, setText, setVerticalAlignment`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_BORDER

    public static final com.macrofocus.igraphics.Insets DEFAULT_BORDER

- ## Constructor Details

  - ### DefaultTreeMapTooltipRenderer

    public DefaultTreeMapTooltipRenderer()
    Creates a default label renderer.

- ## Method Details

  - ### getTooltipRendererComponent

    public com.macrofocus.labeling.EnhancedLabel<Color,Font> getTooltipRendererComponent(TreeMapView<C,N,Row,Column,Color,Font> view, TreeMapField<N,Column> field, TreeMapFieldSettings<Color,Font> settings, N node, Dimension dimension)
    Description copied from interface: `TreeMapTooltipRenderer`
    Returns the component used for drawing the tooltip values.
    Specified by:
      `getTooltipRendererComponent` in interface `TreeMapTooltipRenderer<C,N,Row,Column,Color,Font>`
    Parameters:
      `view` - the view
      `field` - the field for which the value should be queried
      `node` - the node for which the value should be queried
      `dimension` -
    Returns:
      the component